### Hierarchy

- unknown
  - PrefixedSealedAndSignedMessage

## Index

### Constructors

- constructor

### Methods

- clearNodeAddress
- clearSealedAndSigned
- getAddressPrefixHash
- getAddressPrefixHash_asB64
- getAddressPrefixHash_asU8
- getNodeAddress
- getSealedAndSigned
- getUid
- hasNodeAddress
- hasSealedAndSigned
- serializeBinary
- setAddressPrefixHash
- setNodeAddress
- setSealedAndSigned
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PrefixedSealedAndSignedMessage(): PrefixedSealedAndSignedMessage

- Inherited from jspb.Message.constructor

  #### Returns PrefixedSealedAndSignedMessage

## Methods

### clearNodeAddress

- clearNodeAddress(): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:989

  #### Returns PrefixedSealedAndSignedMessage

### clearSealedAndSigned

- clearSealedAndSigned(): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:994

  #### Returns PrefixedSealedAndSignedMessage

### getAddressPrefixHash

- getAddressPrefixHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:996

  #### Returns string | Uint8Array

### getAddressPrefixHash_asB64

- getAddressPrefixHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:998

  #### Returns string

### getAddressPrefixHash_asU8

- getAddressPrefixHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:997

  #### Returns Uint8Array

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:986

  #### Returns undefined | NodeAddress

### getSealedAndSigned

- getSealedAndSigned(): undefined | SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:991

  #### Returns undefined | SealedAndSigned

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1001

  #### Returns string

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:988

  #### Returns boolean

### hasSealedAndSigned

- hasSealedAndSigned(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:993

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1004

  #### Returns Uint8Array

### setAddressPrefixHash

- setAddressPrefixHash(value: string | Uint8Array): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:999

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PrefixedSealedAndSignedMessage

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:987

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns PrefixedSealedAndSignedMessage

### setSealedAndSigned

- setSealedAndSigned(value?: SealedAndSigned ): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:992

  #### Parameters

  - ##### Optional value: SealedAndSigned

  #### Returns PrefixedSealedAndSignedMessage

### setUid

- setUid(value: string): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1002

  #### Parameters

  - ##### value: string

  #### Returns PrefixedSealedAndSignedMessage

### toObject

- toObject(includeInstance?: boolean): PrefixedSealedAndSignedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1005

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PrefixedSealedAndSignedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1008

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrefixedSealedAndSignedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrefixedSealedAndSignedMessage, reader: BinaryReader): PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1009

  #### Parameters

  - ##### message: PrefixedSealedAndSignedMessage

  - ##### reader: BinaryReader

  #### Returns PrefixedSealedAndSignedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PrefixedSealedAndSignedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1007

  #### Parameters

  - ##### message: PrefixedSealedAndSignedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PrefixedSealedAndSignedMessage ): PrefixedSealedAndSignedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1006

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrefixedSealedAndSignedMessage

  #### Returns PrefixedSealedAndSignedMessage . AsObject

Generated using TypeDoc